- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Eina_Value to/from Message
Message

## Functions
Eina_Value * | eldbus_message_to_eina_value (const Eldbus_Message *msg)
| Convert Eldbus_Message to Eina_Value. More...
Eina_Value * | eldbus_message_iter_struct_like_to_eina_value (const Eldbus_Message_Iter *iter)
| Convert Eldbus_Message_Iter of type variant, struct or dict entry to Eina_Value. More...
Eina_Bool | eldbus_message_from_eina_value (const char *signature, Eldbus_Message *msg, const Eina_Value *value)
| Convert Eina_Value to Eldbus_Message. More...

## Detailed Description

## Function Documentation

Eina_Value* eldbus_message_to_eina_value | ( | const Eldbus_Message * | msg | ) |

Convert Eldbus_Message to Eina_Value.

Parameters

  msg | Message

Returns
  Eina_Value of type Eina_Value_Type_Struct

Examples:
  complex-types-client-eina-value.c.

References eldbus_message_iter_get().

Eina_Value* eldbus_message_iter_struct_like_to_eina_value | ( | const Eldbus_Message_Iter * | iter | ) |

Convert Eldbus_Message_Iter of type variant, struct or dict entry to Eina_Value.

Parameters

  iter | Message iterator

Returns
  Eina_Value of type Eina_Value_Type_Struct

Eina_Bool eldbus_message_from_eina_value | ( | const char * | signature,
|  | Eldbus_Message * | msg,
|  | const Eina_Value * | value
| ) |  |

Convert Eina_Value to Eldbus_Message.

Parameters

  signature | dbus signature
  msg | where data will be put
  value | source of data, must be of type Eina_Value_Type_Struct

Returns
  success or not

Examples:
  complex-types-client-eina-value.c.

References EINA_FALSE, and eldbus_message_iter_get().